[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TMemIniFile.GetStrings

Get contents of ini file as stringlist

## Declaration

Source position: inifiles.pp line 195

`public procedure TMemIniFile.GetStrings(`
`List: TStrings`
`);`

## Arguments

`List` |  | Stringlist in which to copy the data

## Description

GetStrings returns the whole contents of the ini file in a single stringlist, List. This includes comments and empty sections.

The GetStrings call can be used to get data for a call to SetStrings, which can be used to copy data between 2 in-memory ini files.

## See also

SetStrings |  | Set data from a stringlist
Clear |  | Clear the data

The latest version of this document can be found at lazarus-ccr.sourceforge.net.